# Set default terminal
set -g default-terminal "screen-256color"
# sometimes a window freezes, trying to disable renaming to solve problem
set -g set-titles off

# Taken from https://github.com/ghostbar/userdotfiles/blob/master/tmux.conf
# Re-assigning C-b to C-a
set-option -g prefix C-a

# Bindings for C-a a
bind-key a send-prefix
bind-key / command-prompt "split-window -h 'exec man %%'"

# Highlight active windows
set-window-option -g window-status-current-bg yellow
setw -g window-status-current-fg black

# Set window notifications
setw -g monitor-activity on
set -g visual-activity on

# Allow tmux to pass trough Ctrl, Alt and Shift modifiers
setw -g xterm-keys on

# Base for numbering is 0
set -g base-index 0

set -g repeat-time 0

#Zenburn colors
setw -g clock-mode-colour colour117
setw -g mode-attr bold
setw -g mode-fg colour117
setw -g mode-bg colour238
set -g status-bg colour235
set -g status-fg colour248
set -g status-attr dim
set -g status-left '#[fg=colour187,bold]#H'
#set -g status-right '#[fg=colour174]#(cat /proc/loadavg | cut -d \" \" -f 1,2,3) #[fg=colour187,bold]%H:%M:%S'
set -g status-right '#(/home/jonas/bin/reboot_required.sh) [ #[fg=colour174]#(cat /proc/loadavg | cut -d \" \" -f 1,2,3)#[default] ] [ #[fg=colour187,bold]%Y-%m-%d %H:%M:%S#[default] ]'
set -g status-right-length 80
setw -g window-status-current-fg colour223
setw -g window-status-current-bg colour237
setw -g window-status-current-attr bold
set -g message-attr bold
set -g message-fg colour117
set -g message-bg colour235
